Subject: Re: [PATCH] genirq: Set initial default irq affinity to just CPU0

From: "Chris Friesen" <[email-masked]>
Date: Mon, 27 Oct 2008 21:46:48 -0600

David Miller wrote:
> From: "Chris Friesen" <[email-masked]>

>>Are there any plans for a mechanism to allow the kernel to figure
>>out (or be told) what packets cpu-affined tasks are interested in
>>and route the interrupts appropriately?
> 
> No, not at all.

> Now there are plans to allow the user to add classification rules into
> the chip for specific flows, on hardware that supports this, via ethtool.

Okay, that sounds reasonable.  Good to know where you're planning on going.

> Your driver is weak and doesn't support the hardware correctly, and you
> want to put the onus on everyone else with sane hardware and drivers?

I'm not expecting any action...I was just objecting somewhat to 
"Networking interrupts should lock onto a single CPU, unconditionally." 
  Add "for a particular flow" into that and I wouldn't have said anything.

>>It's not an ideal situation, but we're sort of stuck unless we do
>>custom driver work.

> Wouldn't want you to get your hands dirty or anything like that now,
> would we?  :-)))

I'd love to.  But other things take time too, so we live with it for now.

Chris